
package de.ivu.elect.presentation.wahl.menu;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class CoreWahlParameterPageMenu extends WahlParameterPageMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlMainMenuEntry wahlMainMenuEntry;

  public CoreWahlParameterPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    return wahlMainMenuEntry.getSubMenuEntries();
  }
}
